---
layout: markdown_page
title: Configure Team
---

## On this page
{:.no_toc}

- TOC
{:toc}

## Vision

For an understanding of where this team is going take a look at [the product
vision](/direction/configure/).

As a member of the Ops Section you may also like to understand [our
overall vision](/direction/ops/).

## Mission

The Configure team is responsible for developing Ops focused features of GitLab
that relate to the "Configuration" and "Operations" stages of the DevOps
lifecycle. These refer to configuration of infrastructure as well as running
applications that are deployed via GitLab.

This team is currently building out more features for our Kubernetes integration
including the [Auto DevOps](/auto-devops/) feature set and making it easier for
GitLab users to make the most of Kubernetes and DevOps best practices.

As per the [product categories](/handbook/product/categories/) this team
will also be responsible for building out new feature sets that will allow
GitLab users to easily make use of the following modern DevOps practices:

- ChatOps
- PaaS
- Runbook Configuration
- Chaos Engineering

We work collaboratively and transparently and we will contribute as much of our
work as possible back to the open source community.

## Team Members

The following people are permanent members of the Configure Team:

<%= direct_team(manager_role: 'Engineering Manager, Configure') %>

## Stable Counterparts

The following members of other functional teams are our stable counterparts:

<%= stable_counterparts(role_regexp: /[,&] Configure/, direct_manager_role: 'Engineering Manager, Configure') %>

## Common Links

 * [Issue Tracker](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Configure)
 * [Slack Channel](https://gitlab.slack.com/archives/g_configure)
 * [Issue Board](https://gitlab.com/groups/gitlab-org/-/boards/1223426?label_name[]=Configure)
 * [Standup doc](https://docs.google.com/document/d/1RVXXFOKMvTqSDVvz348NEmrlRYTLMtH1clpDglsCwyI/edit)
 * [How we structure our day](https://gitlab.com/gl-retrospectives/configure/issues/17)

## How to work with us

### How to contribute to Auto DevOps

Read our [specific GDK
instructions](https://gitlab.com/gitlab-org/gitlab-development-kit/blob/master/doc/howto/auto_devops.md)
on how to develop features for Auto DevOps.

### Useful links for contributing to Auto DevOps

  * [Tips and Troubleshooting](https://gitlab.com/gitlab-org/gitlab-development-kit/blob/master/doc/howto/auto_devops/tips_and_troubleshooting.md)
  * [Useful Commands](https://gitlab.com/gitlab-org/gitlab-development-kit/blob/master/doc/howto/auto_devops/useful_commands.md)
  * [How to work with slow connections](https://gitlab.com/gitlab-org/gitlab-development-kit/blob/master/doc/howto/auto_devops/tips_and_troubleshooting.md#qa)
  * [Enabling premium features for development purposes](https://license.gitlab.com/users/sign_in)
